<webbox id="about">

<h2>What is Top 10</h2>

<p>This is a web application for ranking and evaluating web application
projects.  If you make a simple search you will find hundreds of web
application projects: hundreds of frameworks, hundreds of template systems,
hundreds of content management systems, document management systems,
groupwares, wikis, etc.  Somebody that would like to get and use an
existing web application project will have a difficult time in choosing
which one, and often will not be able to make the best choice.  This
application will attempt to make an evaluation and ranking of these web
applications, thus helping to identify the best projects and helping the
users to choose the best ones.</p>


<p>The evaluation will be done by the developers of these web applications
themselves and by other developers.</p>

<p>If everybody makes an effort and tries to evaluate at least 10
other projects (taking it easy, for example a project in two weeks or
a project in a month), then, hopefully, after some time we would have
identified together the best projects.</p>


<h2>The evaluation process</h2>

<p>Every developer can identify 10 web application projects that he likes
most and he can rank them according to his preference.  The project in the
first place will get 10 points, the project in the second place will get 9
points, and so on.  He can enlist less than 10 projects and add others
latter, as he evaluates them with time.  Or, he can add in his list more
than 10 projects with the aim of evaluating and ranking them later (the
projects after the 10-th position will receive 0 points).  Of course, he
will be able to delete the projects in his list at any time, and able to
change their ranking at any time.  This ensures that the evaluation is
dynamic and it can change during the time (e.g. if a new application
project that is very good comes out, then it is perfectly possible for it
to achieve the highest rankings and to be enlisted as one of the best
projects).  This also means that the evaluation process is meant to take a
long time and to be continuous, rather than to provide instant results that
are valid just for the time being.</p>

<p>This evaluation process is an open one, in the sense that everybody
can see what is the list of the preferred projects of a certain
developer, and who are the developers that have voted for a certain
project (and how many points each of them has given to it).</p>

<p>The developer cannot enlist his own project (or a project in which
he participates) in this list, because naturally everybody is biased
toward his own project and he would give it the highest scores
possible.  Instead, his project will receive a bonus point for each
project that he evaluates (up to 10 points).  If he participates in
more than one projects, then all his projects will receive these bonus
points (each of them will receive 10 points).  So, provided that
everybody participates in the evaluation, no project will have less
than 10 points; if a project has 0 points this means that its
developers have not evaluated any other projects and that nobody else
has given any point to this project.</p>

<p>The project 'phpwebapp' is excluded from evaluation, in order to
eliminate any possibility of being unfair, since I am affiliated with
this project and this evaluation application is affiliated with it.
Anyway, I think that it will receive publicity as a bonus (many people
will know about its existence), and this would be as good as a high
ranking.</p>


<h2>Comments</h2>

<p>This application offers also the possibility for adding evaluation
comments to each project, which can be read by anybody.  The
developers are encouraged to add comments to their own projects as
well, in order to compare it to other similar projects.  The comments
do not count in the evaluation process, but they can help the others
to evaluate a certain project.</p>


<h2>Getting to Know Each-Other</h2>

<p>In my opinion, the reasons that so many web application projects
exist, are some of these:</p>

<ol>
  <li>Their developers were not aware of the existence of the other
  web applications similar to what they wanted to do.  So, instead of
  taking and using any existing one, they started a new project of
  their own.</li>

  <li>For some reasons they couldn't choose and use any existing one,
  so they were constrained to go on their own way.</li>

  <li>They didn't like the existing ones.  They wanted something with
  different features or something totally new.</li>

  <li>They new that other applications like this existed, however they
  wanted to re-implement it, for the pleasure of doing it, for
  improving their skills, and for testing themselves (whether they are
  able to do it or not).</li>
</ol>

<p>Another aim of this application (besides evaluation) is to make
aware the developers about the existence of other projects similar to
theirs, and to increase the mutual knowledge between them.  They can
improve their projects by exchanging ideas and code with other similar
projects.  It would be even better if some of the projects unite in a
single one by taking the best features from each project and by
joining their development efforts.</p>


<h2>Discussion</h2>

<p>There is also a 
<a href="http://lists.sourceforge.net/lists/listinfo/phpwebapp-discussion"
target="_blank">mailing list</a>
for discussing issues related to web application development in general.</p>

<h2>Suggestions</h2>

<p>If you have any ideas or suggestions, please contact me:
<a href="mailto:dashohoxha@users.sourceforge.net">
dashohoxha@users.sourceforge.net</a>
</p>

<h2>Copying</h2>

<p>Copyright  2003 Dashamir Hoxha, 
<a href="mailto:dashohoxha@users.sourceforge.net">
dashohoxha@users.sourceforge.net</a>
</p>

<p>
  Top10 is <a href="http://www.fsf.org/philosophy/" target="_blank">free software</a>;
  you can redistribute it and/or modify it under the terms of the 
  <a href="http://www.fsf.org/copyleft/" target="_blank">GNU General Public License</a>
  as published by the 
  <a href="http://www.fsf.org/" target="_blank">Free Software Foundation</a>; either 
  version 2 of the License, or (at your option) any later version.
</p>
<p>
  Top10 is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  <a href="{{APP_URL}}COPYING" target="_blank">GNU General Public License</a> 
  for more details.
</p>
<p>
  You should have received 
  <a href="{{APP_URL}}COPYING" target="_blank">a copy of the GNU General Public License</a>
  along with Top10; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
</p>

<hr />

</webbox>
